## AgsDssiPlugin

AgsDssiPlugin — The dssi plugin class

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_DSSI_PLUGIN_DESCRIPTOR()
void | ags_dssi_plugin_change_program ()
AgsDssiPlugin * | ags_dssi_plugin_new ()

## Properties

char * | program | Read / Write
guint | unique-id | Read / Write

## Signals

void | change-program | Run Last

## Object Hierarchy

        GObject
        ╰── AgsBasePlugin
            ╰── AgsDssiPlugin

## Includes

    #include <ags/plugin/ags_dssi_plugin.h>

## Description

The AgsDssiPlugin loads/unloads a Dssi plugin.

## Functions

### AGS_DSSI_PLUGIN_DESCRIPTOR()

    #define AGS_DSSI_PLUGIN_DESCRIPTOR(ptr) ((DSSI_Descriptor *)(ptr))

### ags_dssi_plugin_change_program ()

    void
    ags_dssi_plugin_change_program (AgsDssiPlugin *dssi_plugin,
                                    gpointer ladspa_handle,
                                    guint bank_index,
                                    guint program_index);

### ags_dssi_plugin_new ()

    AgsDssiPlugin *
    ags_dssi_plugin_new (gchar *filename,
                         gchar *effect,
                         guint effect_index);

Create a new instance of AgsDssiPlugin

#### Parameters

filename | the plugin .so |
effect | the effect's string representation |
effect_index | the effect's index |

#### Returns

the new AgsDssiPlugin

Since: 3.0.0

## Property Details

### The `“program”` property

      “program”                  char *

The program this plugin is located in.

Owner: AgsDssiPlugin

Flags: Read / Write

Default value: NULL

### The `“unique-id”` property

      “unique-id”                guint

The assigned unique-id.

Owner: AgsDssiPlugin

Flags: Read / Write

Default value: 0

Since: 3.0.0

## Signal Details

### The `“change-program”` signal

    void
    user_function (AgsDssiPlugin *dssi_plugin,
                   gpointer       ladspa_handle,
                   guint          bank,
                   guint          program,
                   gpointer       user_data)

The ::change-program signal creates a new instance of plugin.

#### Parameters

dssi_plugin | the plugin to change-program |
ladspa_handle | the LADSPA handle |
bank | the bank number |
program | the program number |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 3.0.0